package xn.update;

import android.os.Bundle;
import android.util.Log;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.work.WorkManager;

import com.blankj.utilcode.util.ActivityUtils;
import com.blankj.utilcode.util.LogUtils;

public class NullActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        try {
            WorkManager.getInstance(getApplicationContext()).cancelUniqueWork("Task");
            WorkManager.getInstance(getApplicationContext()).cancelAllWork();
        } catch (Exception e) {
            LogUtils.e(Log.getStackTraceString(e));
        }
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_null);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
    }

    @Override
    protected void onResume() {
        super.onResume();
        ActivityUtils.finishAllActivitiesExceptNewest();
        ActivityUtils.startActivity(StartActivity.class);
        finish();
    }
}