package xn.update.receiver;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;

import com.blankj.utilcode.util.LogUtils;
import com.blankj.utilcode.util.ShellUtils;
import com.blankj.utilcode.util.ThreadUtils;

import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.InputStreamReader;

import xn.update.Tool;

public class TimeTickReceiver extends BroadcastReceiver {


    @Override
    public void onReceive(Context context, Intent intent) {
        Intent newIntent = new Intent("XN_ACTION");
        intent.putExtra("heartbeat", "heartbeat");
        context.sendBroadcast(newIntent);
        // 拉起主应用
        startMasterApp();
    }

    private void startMasterApp() {
        ThreadUtils.executeByCached(new ThreadUtils.SimpleTask<Object>() {
            @Override
            public Object doInBackground() throws Throwable {
                try {
                    ShellUtils.CommandResult commandResult = ShellUtils.execCmd("dumpsys activity activities", true);
                    BufferedReader reader = new BufferedReader(new InputStreamReader(new ByteArrayInputStream(commandResult.successMsg.getBytes())));
                    String line;
                    while ((line = reader.readLine()) != null) {
                        if (line.contains("mResumedActivity") || line.contains("mCurrentFocus")) {
                            String[] itemArray = line.split(" ", -1);
                            for (String item : itemArray) {
                                if (item.contains("/")) {
                                    String packageName = item.substring(0, item.indexOf("/"));
                                    if (!"xn.xxp".equals(packageName)) {
                                        LogUtils.d("定时拉起主应用");
                                        Tool.INSTANCE.stopApp("xn.xxp");
                                        Tool.INSTANCE.openApp("xn.xxp");
                                    }
                                    break;
                                }
                            }
                            break;
                        }
                    }
                } catch (Exception e) {
                    LogUtils.e(Log.getStackTraceString(e));
                }
                return null;
            }

            @Override
            public void onSuccess(Object result) {

            }
        });
    }
}
